<?php
/*
$Id: profil.class.php,v 1.1 2006-05-16 18:44:59 fgiva Exp $
*/
require_once ("formulaire.class.php");
require_once ("dbform.class.php");

class profil extends dbForm {

    var $table="profil";
    var $clePrimaire= "profil";
    var $typeCle= "N" ;


function profil($id,$db,$debug) {
$this->constructeur($id,$db,$debug);
} // fin constructeur

function setvalF($val){
$this->valF['libelle_profil'] = $val['libelle_profil'];
}

function verifier(){
$this->correct=True;
// obligatoire
if ($this->valF['libelle_profil']==""){
   $this->correct=false;
   $this->msg= $this->msg."<br>libelle obligatoire";
}
}//verifier

// cle secondaire
function cleSecondaire($id,$db,$val,$debug) {
$this->rechercheDroit($id,$db,$debug) ;
$this->rechercheUtilisateur($id,$db,$debug) ;
}
function rechercheDroit($id,$db,$debug){
// recherche si il y a un bureau concerne par le canton a supprimer
    $this->correct=True;
    $sql = "select * from droit where profil =".$id."";
    $res = $db->query($sql);
    if($debug==1) echo $sql;
    if (DB :: isError($res))
       die($res->getMessage(). " => Echec  ".$sql);
    else{
        $nbligne=$res->numrows();
        $this->msg = $this->msg." il y a ".$nbligne.
        " enregistrement(s) en lien dans la table profil pour le profil [".
        $id."]";
        if ($nbligne>0)
           $this->correct=false;
    }
}

function rechercheUtilisateur($id,$db,$debug){
// recherche si il y a un bureau concerne par le canton a supprimer
    $this->correct=True;
    $sql = "select * from utilisateur where profil =".$id."";
    $res = $db->query($sql);
    if($debug==1) echo $sql;
    if (DB :: isError($res))
       die($res->getMessage(). " => Echec  ".$sql);
    else{
        $nbligne=$res->numrows();
        $this->msg = $this->msg." il y a ".$nbligne.
        " enregistrement(s) en lien dans la table utilisateur pour le profil [".
        $id."]";
        if ($nbligne>0)
           $this->correct=false;
    }
}


// formulaire


function setType(&$form,$maj) {
if ($maj < 2) { //ajouter et modifier
  if ($maj==1){ //modifier
     $form->setType('profil', 'hiddenstatic');
  }
}else{ // supprimer
     $form->setType('profil', 'hiddenstatic');
}}
function setLib(&$form,$maj) {
$form->setLib('libelle_profil','Libelle : ');
}
function setTaille(&$form,$maj){
$form->setTaille('profil', 2);
$form->setTaille('libelle_profil', 30);
}
function setMax(&$form,$maj){
$form->setMax('profil', 2);
$form->setMax('libelle_profil', 30);
}
function setOnchange(&$form,$maj){
$form->setOnchange("libelle_profil","this.value=this.value.toUpperCase()");
$form->setOnchange('profil','VerifNum(this)');
?>
<script language="javascript">
function VerifNum(champ){
if (isNaN(champ.value)){
         alert("vous ne devez entrer \ndes chiffres\nuiniquement");
         champ.value=0;
         return;
}
champ.value=champ.value.replace(".","");
}
</script>
<?php
}
}// fin de classe
?>